\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - IO Streams

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Color Class Reference
IO Streams Reference

`#include <CGAL/IO/Color.h>`

## Definition

An object of the class `Color` is a color available for drawing operations in many CGAL output streams.

Each color is defined by a triple of unsigned chars `(r,g,b)` with 0 \(\le\) r,g,b \( \le \) 255, the so-called rgb-value of the color.

See Also
  `CGAL::Geomview_stream`

## Creation
| Color ()
| creates a color with rgb-value `(0,0,0)`, i.e. black.
| Color (unsigned char red, unsigned char green, unsigned char blue)
| creates a color with rgb-value `(red,green,blue)`.

## Operations
bool | operator== (const Color &q) const
| Test for equality: Two colors are equal, iff their rgb-values are equal.
bool | operator!= (const Color &q) const
| Test for inequality.
unsigned char | red () const
| returns the red component of `c`.
unsigned char | green () const
| returns the green component of `c`.
unsigned char | blue () const
| returns the blue component of `c`.

## Constants
The following constants are predefined:
const Color | BLACK = Color(0, 0, 0)
| Black.
const Color | WHITE = Color(255, 255, 255)
| White.
const Color | RED = Color(255, 0, 0)
| Red.
const Color | GREEN = Color(0, 255, 0)
| Green.
const Color | BLUE = Color(0, 0, 255)
| Blue.
const Color | VIOLET = Color(255, 0, 255)
| Violet.
const Color | ORANGE = Color(255, 170, 0)
| Orange.